Skip to main content
IBM Quantum Platform

Analytics


Get analytics filters

Get analytics filters

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following actions. You can check your access by going to Users > User > Access

  • quantum-computing.account-analytics-filters.read

Auditing

Calling this method generates the following auditing events.

  • quantum-computing.account-analytics-filters.read

Input

Query Parameters
Name, Type
Description
instance
string[]
Example: "crn:v1:staging:public:quantum-computing:region:a/account:instance::"
Code samples
GET
/v1/analytics/filters

If your instance is in the eu-de region, use this URL instead: https://eu-de.quantum.cloud.ibm.com/api/v1/analytics/filters

curl -X GET \
  https://quantum.cloud.ibm.com/api/v1/analytics/filters \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer YOUR-TOKEN' \
  -H 'Service-CRN: YOUR-SERVICE-CRN' \
  -H 'IBM-API-Version: 2026-02-15'

Output

HTTP Response Status Codes
Status code
Description
200
401Unauthorized
403Forbidden
404Not found
500Internal server error
Responses
{
  "backends": [
    {
      "name": "simulator"
    }
  ],
  "instances": [
    {
      "id": "crn:v1:staging:public:quantum-computing:region:a/account:",
      "deleted": true
    }
  ],
  "users": [
    {
      "id": "123"
    }
  ],
  "plans": [
    {
      "name": "premium"
    }
  ]
}

Get usage analytics

Get usage analytics

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following actions. You can check your access by going to Users > User > Access

  • quantum-computing.account-analytics-usage.read

Auditing

Calling this method generates the following auditing events.

  • quantum-computing.account-analytics-usage.read

Input

Query Parameters
Name, Type
Description
instance
string[]
Example: "crn:v1:staging:public:quantum-computing:region:a/account:instance::"
interval_start
string
Example: "2024-01-01T00:00:00.000Z"
interval_end
string
Example: "2024-01-01T00:00:00.000Z"
backend
string[]
Example: "ibm_tenerife"
user_id
string[]
Example: "123"
simulators
boolean

Include simulators

Default value: true
plan
string[]
Example: "premium"
Code samples
GET
/v1/analytics/usage

If your instance is in the eu-de region, use this URL instead: https://eu-de.quantum.cloud.ibm.com/api/v1/analytics/usage

curl -X GET \
  https://quantum.cloud.ibm.com/api/v1/analytics/usage \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer YOUR-TOKEN' \
  -H 'Service-CRN: YOUR-SERVICE-CRN' \
  -H 'IBM-API-Version: 2026-02-15'

Output

HTTP Response Status Codes
Status code
Description
200
401Unauthorized
403Forbidden
404Not found
500Internal server error
Responses
{
  "usage": 10,
  "jobs": 10,
  "sessions": 10,
  "sessions_usage": 10,
  "avg_sessions_usage": 10,
  "max_sessions_usage": 10,
  "batch_sessions": 10,
  "batch_sessions_usage": 10,
  "avg_batch_sessions_usage": 10,
  "max_batch_sessions_usage": 10,
  "dedicated_sessions": 10,
  "dedicated_sessions_usage": 10,
  "avg_dedicated_sessions_usage": 10,
  "max_dedicated_sessions_usage": 10,
  "individual_jobs": 10,
  "individual_jobs_usage": 10,
  "avg_individual_jobs_usage": 10,
  "max_individual_jobs_usage": 10,
  "queue_time": 10,
  "avg_queue_time": 10,
  "max_queue_time": 10
}

Get usage analytics grouped

Get usage analytics grouped

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following actions. You can check your access by going to Users > User > Access

  • quantum-computing.account-analytics-usage.read

Auditing

Calling this method generates the following auditing events.

  • quantum-computing.account-analytics-usage.read

Input

Query Parameters
Name, Type
Description
group_by
Required
string

key to group usage by

Possible values: instancebackenduser_idplan
Example: "instance"
instance
string[]
Example: "crn:v1:staging:public:quantum-computing:region:a/account:instance::"
interval_start
string

start date

Example: "2024-01-01T00:00:00.000Z"
interval_end
string

end date

Example: "2024-01-01T00:00:00.000Z"
backend
string[]

backend to filter by

Example: "ibm_tenerife"
user_id
string[]
Example: "123"
simulators
boolean

Include simulators

Default value: true
plan
string[]
Example: "premium"
Code samples
GET
/v1/analytics/usage_grouped

If your instance is in the eu-de region, use this URL instead: https://eu-de.quantum.cloud.ibm.com/api/v1/analytics/usage_grouped

curl -X GET \
  https://quantum.cloud.ibm.com/api/v1/analytics/usage_grouped \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer YOUR-TOKEN' \
  -H 'Service-CRN: YOUR-SERVICE-CRN' \
  -H 'IBM-API-Version: 2026-02-15'

Output

HTTP Response Status Codes
Status code
Description
200
401Unauthorized
403Forbidden
404Not found
500Internal server error
Responses
{
  "data": [
    {
      "key": "ibm-q/main/open",
      "usage": 10,
      "jobs": 10,
      "sessions": 10,
      "sessions_usage": 10,
      "avg_sessions_usage": 10,
      "max_sessions_usage": 10,
      "batch_sessions": 10,
      "batch_sessions_usage": 10,
      "avg_batch_sessions_usage": 10,
      "max_batch_sessions_usage": 10,
      "dedicated_sessions": 10,
      "dedicated_sessions_usage": 10,
      "avg_dedicated_sessions_usage": 10,
      "max_dedicated_sessions_usage": 10,
      "individual_jobs": 10,
      "individual_jobs_usage": 10,
      "avg_individual_jobs_usage": 10,
      "max_individual_jobs_usage": 10,
      "queue_time": 10,
      "avg_queue_time": 10,
      "max_queue_time": 10
    }
  ]
}

Get usage analytics grouped by date

Get usage analytics grouped by date

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following actions. You can check your access by going to Users > User > Access

  • quantum-computing.account-analytics-usage.read

Auditing

Calling this method generates the following auditing events.

  • quantum-computing.account-analytics-usage.read

Input

Query Parameters
Name, Type
Description
group_by
Required
string
Possible values: instance
Example: "instance"
instance
string[]
Example: "crn:v1:staging:public:quantum-computing:region:a/account:instance::"
interval_start
string
Example: "2024-01-01T00:00:00.000Z"
interval_end
string
Example: "2024-01-01T00:00:00.000Z"
backend
string[]
Example: "ibm_tenerife"
user_id
string[]
Example: "123"
simulators
boolean

Include simulators

Default value: true
plan
string[]
Example: "premium"
Code samples
GET
/v1/analytics/usage_grouped_by_date

If your instance is in the eu-de region, use this URL instead: https://eu-de.quantum.cloud.ibm.com/api/v1/analytics/usage_grouped_by_date

curl -X GET \
  https://quantum.cloud.ibm.com/api/v1/analytics/usage_grouped_by_date \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer YOUR-TOKEN' \
  -H 'Service-CRN: YOUR-SERVICE-CRN' \
  -H 'IBM-API-Version: 2026-02-15'

Output

HTTP Response Status Codes
Status code
Description
200
400Bad request
401Unauthorized
403Forbidden
404Not found
500Internal server error
Responses
{
  "interval_start": "2024-01-01T00:00:00.000Z",
  "interval_end": "2024-01-01T00:00:00.000Z",
  "data": [
    {
      "key": "ibm-q/open/main",
      "interval_start": "2024-01-01T00:00:00.000Z",
      "interval_end": "2024-01-01T00:00:00.000Z",
      "usage": 10,
      "jobs": 10,
      "sessions": 10,
      "sessions_usage": 10,
      "avg_sessions_usage": 10,
      "max_sessions_usage": 10,
      "batch_sessions": 10,
      "batch_sessions_usage": 10,
      "avg_batch_sessions_usage": 10,
      "max_batch_sessions_usage": 10,
      "dedicated_sessions": 10,
      "dedicated_sessions_usage": 10,
      "avg_dedicated_sessions_usage": 10,
      "max_dedicated_sessions_usage": 10,
      "individual_jobs": 10,
      "individual_jobs_usage": 10,
      "avg_individual_jobs_usage": 10,
      "max_individual_jobs_usage": 10,
      "queue_time": 10,
      "avg_queue_time": 10,
      "max_queue_time": 10
    }
  ]
}
Was this page helpful?
Report a bug, typo, or request content on GitHub.